当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 9 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : Vim无法安装问题
帖子发表于 : 2010-11-17 16:05 

注册: 2010-03-17 8:15
帖子: 5
送出感谢: 0 次
接收感谢: 0 次
我的版本是9.10的,机子没有连网,我在网上下了VIM7.3的*.tar.bz2格式的包。解压后执行make,可以成功;然后执行sudo make install,提示为"没什么可做为'install' ",请问这是什么原因?谢谢。


页首
 用户资料  
 
2 楼 
 文章标题 : Re: Vim无法安装问题
帖子发表于 : 2010-11-17 22:07 

注册: 2009-10-03 23:31
帖子: 3030
送出感谢: 1
接收感谢: 14
执行make后的输出是什么,另外你下载的是源码包还是二进制包?


页首
 用户资料  
 
3 楼 
 文章标题 : Re: Vim无法安装问题
帖子发表于 : 2010-11-18 11:55 

注册: 2010-03-17 8:15
帖子: 5
送出感谢: 0 次
接收感谢: 0 次
是在www.vim.org上下载的源代码包

执行make后:
no terminal library found
checking for tgetent()... configure: error: NOT FOUND!
You need to install a terminal library; for example ncurses.
Or specify the name of the library with --with-tlib.
make: *** [config] 错误 1

~/vim73/src$ make install
make: 没有什么可以做的为 `install'。

附件中是信息。谢谢!


附件:
vimerr.doc [50 KiB]
被下载 8 次
页首
 用户资料  
 
4 楼 
 文章标题 : Re: Vim无法安装问题
帖子发表于 : 2010-11-18 12:07 
头像

注册: 2009-04-11 23:46
帖子: 4149
系统: Arch Linux
送出感谢: 11
接收感谢: 125
.doc :em20 :em20 :em20 :em20 :em20 :em20 :em20

你需要像 libncurses-dev 这样的包。
估计你还会发现自己缺少其他的开发包的。。。


_________________
我的博客 https://blog.lilydjwg.me/
提问的智慧
Arch Linux 中文论坛

我的vimrc: https://git.io/vimrc


页首
 用户资料  
 
5 楼 
 文章标题 : Re: Vim无法安装问题
帖子发表于 : 2010-11-18 12:09 
头像

注册: 2008-09-13 19:17
帖子: 7789
系统: Arch Linux (x86_64)
送出感谢: 10
接收感谢: 77
应该先./configure吧

debian sid有vim 7.3,不知道ubuntu能用不


_________________
博客:http://www.lainme.com


页首
 用户资料  
 
6 楼 
 文章标题 : Re: Vim无法安装问题
帖子发表于 : 2010-11-18 12:57 

注册: 2010-03-17 8:15
帖子: 5
送出感谢: 0 次
接收感谢: 0 次
./configure用过了也不行。文档里说make好像调用./configure了。

那是不是要连网,用apt-get才能安装齐全?

没有在网上找到.deb安装包。


页首
 用户资料  
 
7 楼 
 文章标题 : Re: Vim无法安装问题
帖子发表于 : 2010-11-18 13:44 
头像

注册: 2008-09-13 19:17
帖子: 7789
系统: Arch Linux (x86_64)
送出感谢: 10
接收感谢: 77
最好联网比较方便些,./configure后会提示你缺什么,把相应的-dev包装上。

如果不用apt,可以去 http://packages.ubuntu.com/ 里下载


_________________
博客:http://www.lainme.com


页首
 用户资料  
 
8 楼 
 文章标题 : Re: Vim无法安装问题
帖子发表于 : 2010-11-19 11:52 

注册: 2010-03-17 8:15
帖子: 5
送出感谢: 0 次
接收感谢: 0 次
恩,谢谢。
我昨天下了个Ncurses5.7安装上,可以安装vim。装上后貌似和VI一样。应该是却东西。改天联网安装了。


页首
 用户资料  
 
9 楼 
 文章标题 : Re: Vim无法安装问题
帖子发表于 : 2010-11-19 12:25 
头像

注册: 2009-04-11 23:46
帖子: 4149
系统: Arch Linux
送出感谢: 11
接收感谢: 125
shujuk 写道:
恩,谢谢。
我昨天下了个Ncurses5.7安装上,可以安装vim。装上后貌似和VI一样。应该是却东西。改天联网安装了。


没图形界面是吧?其实没GUI的vim也比vi强太多了 :-)

你需要 gtk 的开发包,还有 X11 的什么包,还有 xxx 和 yyy……自己边 configure 边 google + 搜新立得吧。


_________________
我的博客 https://blog.lilydjwg.me/
提问的智慧
Arch Linux 中文论坛

我的vimrc: https://git.io/vimrc


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 9 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译